# Package cascading.flow.stream.duct

- Interface Summary
  Interface | Description
  --- | ---
  CloseWindow |
  Collapsing | Collapsing marks a Duct as collapsing start/complete events from multiple incoming paths
  OpenWindow |
  Reducing<Group,Result> |
  Window |

- Class Summary
  Class | Description
  --- | ---
  CloseReducingDuct<Group,Incoming,Outgoing> |
  Duct<Incoming,Outgoing> |
  DuctGraph |
  DuctGraph.Ordinal |
  Fork<Incoming,Outgoing> |
  Gate<Incoming,Outgoing> | Denotes there will be multiple input paths into this duct
  Grouping<Group,ItemIterator extends Iterator> |
  OpenDuct<Incoming,Outgoing> |
  OpenReducingDuct<Incoming,Outgoing> |
  Stage<Incoming,Outgoing> |

- Exception Summary
  Exception | Description
  --- | ---
  DuctException |

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.